---
title: Restart Instance
url: https://docs.vultr.com/products/compute/instances/bare-metal/management/restart-instance
description: Learn how to properly restart your Vultr Bare Metal instance when needed.
publish_date: 2024-09-23T20:20:26.349233Z
last_updated: 2026-05-26T18:50:31.816269Z
---

# How to Restart a Vultr Bare Metal Instance

Restarting an instance performs a hard reboot and stops all running processes on your server before starting them again. Restarting does not alter the instance data or file system and enables the application of updates or configuration changes that require a reboot.

Follow this guide to restart a Vultr Bare Metal instance using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Bare Metal instance to open its management page.
    1. Click **Server Restart** on the top-right navigation menu to restart your server.
    1. Click **Restart Server** in the confirmation prompt to apply changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List Bare Metal Instances** endpoint](https://www.vultr.com/api/#tag/baremetal/operation/list-baremetals) and note the target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/bare-metals" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Reboot Bare Metal** endpoin](https://www.vultr.com/api/#tag/baremetal/operation/reboot-baremetal)t to restart the instance.

        ```console
        $ curl "https://api.vultr.com/v2/bare-metals/{baremetal-id}/reboot" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. List all Bare Metal instances available in your Vultr account and note the target instance's ID.

        ```console
        $ vultr-cli bare-metal list
        ```

    1. Restart the instance.

        ```console
        $ vultr-cli bare-metal restart <instance_id>
        ```
